/* Reset some default styles */
body, h1, h2, h3 {
    margin: 0;
    padding: 0;
}

/* Global styles */
body {
    font-family: Arial, sans-serif;
    background-color: #333;
    color: #333;
}

/* Set box-sizing to border-box for consistent sizing */
* {
    box-sizing: border-box;
}

/* imgag div setting */
.title-img{
    width: 200px;
    margin: auto;
    padding-top: 20px;
}

/* image selector  */
.title-img img{
    box-shadow: 0 0 10px honeydew;
}

/* main title styling */
.title-img #main-title {
    text-align: center;
    margin-top: -45px;
    margin-left: 30px;
    margin-bottom: 20px;
    color: white; 
    font-size: 30px; 
}

/* Section styling */
.section {
    border: 1px solid #000080;
    margin: 10px;
    padding: 30px 2px 5px 2px;
    background-color: #f7f1f1;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.9);
    position: relative;
}

/* Section title styling */
.section-title {
    width: 150px;
    position: absolute;
    top: 0px;
    right: 0;
    border: 1px solid #fff;
    padding: 5px;
    color: white;
    text-align: center;
    font-size: 20px;
    border-radius: 0 5px 0 0;   
}

.bg-color1{
    background-color: #FF0000;
}
.bg-color2{
    background-color: #000080;
}
.bg-color3{
    background-color: #00FF00;
}

div p {
    margin: 20px;
    line-height: 1.6;
}


/* Media Queries */
@media (max-width: 767px) {
    /* Mobile View */
    .section {
        margin: 2%;
        width: 96%;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    /* Tablet View */
    .section {
        width: 47%;
        margin: 10px 1.5%;
        float: left;
    }

    #third-section {
        width: 97%;
    }
}

@media (min-width: 992px) {
    /* Desktop View */
    .section {
        width: 31.33%;
        height: auto;
        float: left;
        margin: 10px 1%;
    }
}
